interactions:
- request:
    body: '{"messages":[{"role":"system","content":"You are Researcher. You''re an
      expert researcher, specialized in technology, software engineering, AI and startups.
      You work as a freelancer and are now working on doing research and analysis
      for a new customer.\nYour personal goal is: Make the best research and analysis
      on content about AI and AI agents. Use the tool provided to you."},{"role":"user","content":"\nCurrent
      Task: Give me a list of 5 interesting ideas to explore for an article, what
      makes them unique and interesting.\n\nThis is the expected criteria for your
      final answer: Bullet point list of 5 interesting ideas.\nyou MUST return the
      actual complete content as the final answer, not a summary.\n\nThis is VERY
      important to you, your job depends on it!"}],"model":"gpt-4.1-mini","tool_choice":"auto","tools":[{"type":"function","function":{"name":"what_amazing_tool","description":"My
      tool","parameters":{"properties":{},"type":"object"}}}]}'
    headers:
      User-Agent:
      - X-USER-AGENT-XXX
      accept:
      - application/json
      accept-encoding:
      - ACCEPT-ENCODING-XXX
      authorization:
      - AUTHORIZATION-XXX
      connection:
      - keep-alive
      content-length:
      - '951'
      content-type:
      - application/json
      host:
      - api.openai.com
      x-stainless-arch:
      - X-STAINLESS-ARCH-XXX
      x-stainless-async:
      - 'false'
      x-stainless-lang:
      - python
      x-stainless-os:
      - X-STAINLESS-OS-XXX
      x-stainless-package-version:
      - 1.83.0
      x-stainless-read-timeout:
      - X-STAINLESS-READ-TIMEOUT-XXX
      x-stainless-retry-count:
      - '0'
      x-stainless-runtime:
      - CPython
      x-stainless-runtime-version:
      - 3.13.3
    method: POST
    uri: https://api.openai.com/v1/chat/completions
  response:
    body:
      string: "{\n  \"id\": \"chatcmpl-D0uBuTXGmun81KsHDBJL7t4EVimKO\",\n  \"object\":
        \"chat.completion\",\n  \"created\": 1769108370,\n  \"model\": \"gpt-4.1-mini-2025-04-14\",\n
        \ \"choices\": [\n    {\n      \"index\": 0,\n      \"message\": {\n        \"role\":
        \"assistant\",\n        \"content\": null,\n        \"tool_calls\": [\n          {\n
        \           \"id\": \"call_NNkJRY7KVJcgdN5Gt2x6ABXC\",\n            \"type\":
        \"function\",\n            \"function\": {\n              \"name\": \"what_amazing_tool\",\n
        \             \"arguments\": \"{}\"\n            }\n          }\n        ],\n
        \       \"refusal\": null,\n        \"annotations\": []\n      },\n      \"logprobs\":
        null,\n      \"finish_reason\": \"tool_calls\"\n    }\n  ],\n  \"usage\":
        {\n    \"prompt_tokens\": 176,\n    \"completion_tokens\": 12,\n    \"total_tokens\":
        188,\n    \"prompt_tokens_details\": {\n      \"cached_tokens\": 0,\n      \"audio_tokens\":
        0\n    },\n    \"completion_tokens_details\": {\n      \"reasoning_tokens\":
        0,\n      \"audio_tokens\": 0,\n      \"accepted_prediction_tokens\": 0,\n
        \     \"rejected_prediction_tokens\": 0\n    }\n  },\n  \"service_tier\":
        \"default\",\n  \"system_fingerprint\": \"fp_376a7ccef1\"\n}\n"
    headers:
      CF-RAY:
      - CF-RAY-XXX
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Thu, 22 Jan 2026 18:59:30 GMT
      Server:
      - cloudflare
      Set-Cookie:
      - SET-COOKIE-XXX
      Strict-Transport-Security:
      - STS-XXX
      Transfer-Encoding:
      - chunked
      X-Content-Type-Options:
      - X-CONTENT-TYPE-XXX
      access-control-expose-headers:
      - ACCESS-CONTROL-XXX
      alt-svc:
      - h3=":443"; ma=86400
      cf-cache-status:
      - DYNAMIC
      openai-organization:
      - OPENAI-ORG-XXX
      openai-processing-ms:
      - '468'
      openai-project:
      - OPENAI-PROJECT-XXX
      openai-version:
      - '2020-10-01'
      x-envoy-upstream-service-time:
      - '490'
      x-openai-proxy-wasm:
      - v0.1
      x-ratelimit-limit-requests:
      - X-RATELIMIT-LIMIT-REQUESTS-XXX
      x-ratelimit-limit-tokens:
      - X-RATELIMIT-LIMIT-TOKENS-XXX
      x-ratelimit-remaining-requests:
      - X-RATELIMIT-REMAINING-REQUESTS-XXX
      x-ratelimit-remaining-tokens:
      - X-RATELIMIT-REMAINING-TOKENS-XXX
      x-ratelimit-reset-requests:
      - X-RATELIMIT-RESET-REQUESTS-XXX
      x-ratelimit-reset-tokens:
      - X-RATELIMIT-RESET-TOKENS-XXX
      x-request-id:
      - X-REQUEST-ID-XXX
    status:
      code: 200
      message: OK
version: 1
